E2CP(1)

NAME
e2cp - copies files from/to an e2fs filesystem

SYNOPSIS
e2cp [options] files... dest

DESCRIPTION
The e2cp command copies files to/from an e2fs filesystem from/to the machine's filesystem.

OPTIONS
A single `-' (dash) can be used instead of a file name to indicate standard input/output.

-0  Input lines terminated by a null character.

-a  Absolute directory names - create directories instead of just copying into the destination. Only valid for copying into an ext2fs filesystem.

-d dest_dir
    Destination of files to be copied. May be in the ext2fs filesystem or the host filesystem.

-G gid
    Set the default group to gid.

-O uid
    Set the default file owner to uid.

-p  Preserve host file attributes (permissions, times, etc.) when copying files.

-P mode
    Set the file permissions (ie 755, 666).

-s src_dir
    The source of the files to be copied.

-v  Be verbose.

SEE ALSO
e2tools(7), e2ln(1), e2ls(1), e2mkdir(1), e2mv(1), e2rm(1), e2tail(1).

AUTHOR
The e2tools were written by Keith Sheffield <sheff@pobox.com>.

This manual page was written by Lucas Wall <lwall@debian.org>, for the Debian project (but may be used by others).